Bug 1466977 - director generated invalid neutron_admin_auth_url in manila.conf.
director generated invalid neutron_admin_auth_url in manila.conf.
Status: POST
Product: Red Hat OpenStack
Classification: Red Hat
Component: openstack-tripleo-heat-templates (Show other bugs)
10.0 (Newton)
Unspecified Linux
low Severity low
: ---
: 10.0 (Newton)
Assigned To: Tom Barron
Dustin Schoenbrun
: Triaged, ZStream
: 1469410 (view as bug list)
Depends On: 1485030
Blocks:
  Show dependency treegraph
 
Reported: 2017-06-30 21:17 EDT by Won Young Choi
Modified: 2017-11-01 11:06 EDT (History)
9 users (show)

See Also:
Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Story Points: ---
Clone Of:
: 1485025 1485030 (view as bug list)
Environment:
Last Closed:
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)


External Trackers
Tracker ID Priority Status Summary Last Updated
Launchpad 1712908 None None None 2017-08-24 17:23 EDT
OpenStack gerrit 501519 None None None 2017-09-07 17:15 EDT

  None (edit)
Description Won Young Choi 2017-06-30 21:17:28 EDT
Description of problem:

director create neutron_admin_auth_url with NeutronAdmin in manila.conf.
NeutronAdmin url doest not match this auth url.

Version-Release number of selected component (if applicable):


How reproducible:

This symptom is default in RHOSP10

Steps to Reproduce:
1.
2.
3.

Actual results:
# cat /etc/manila/manila.conf
...
network_api_class = manila.network.neutron.neutron_network_plugin.NeutronNetworkPlugin
neutron_api_insecure=False
neutron_auth_strategy=keystone
neutron_admin_tenant_name=service
neutron_url=http://10.1.70.10:9696
neutron_admin_password=HYZBsT2BE6cGcT3kc7kuEkp7j
neutron_admin_username=neutron
neutron_admin_auth_url=http://10.1.70.10:9696 <-- this is invalid config
neutron_url_timeout=30
...

Working configuration edited as below.
network_api_class = manila.network.neutron.neutron_network_plugin.NeutronNetworkPlugin
neutron_api_insecure=False
neutron_auth_strategy=keystone
neutron_admin_tenant_name=service
neutron_url=http://10.1.76.10:9696
neutron_admin_password=HYZBsT2BE6cGcT3kc7kuEkp7j
neutron_admin_username=neutron
neutron_admin_auth_url=http://10.1.70.10:5000/v2.0 <-- this is correct
neutron_url_timeout=30

Expected results:

neutron_admin_auth_url will be KeystoneInternal in /usr/share/openstack-tripleo-heat-templates/puppet/services/manila-scheduler.yaml


- manila::network::neutron::neutron_admin_auth_url: {get_param: [EndpointMap, NeutronAdmin, uri]}
+ manila::network::neutron::neutron_admin_auth_url: {get_param: [EndpointMap, KeystoneInternal, uri]}
Additional info:
Comment 2 Tom Barron 2017-08-24 17:17:55 EDT
*** Bug 1469410 has been marked as a duplicate of this bug. ***
Comment 3 Tom Barron 2017-09-07 17:16:10 EDT
501519 has merged upstream in stable/newton

Note You need to log in before you can comment on or make changes to this bug.